function TcpToMqttJsonCommon()
{
  var GetMqttJsonGroupName = function(){return TcpToMqttJsonCommon.prototype._GetMqttJsonGroupName_();};
  var GetAzureName = function(){return TcpToMqttJsonCommon.prototype._GetAzureName_();};
  var GetConnectionName = function(){return TcpToMqttJsonCommon.prototype._GetConnectionName_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return TcpToMqttJsonCommon.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return TcpToMqttJsonCommon.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function TcpToMqttJsonUpdatePage()
{
  var SaveGlobalVariable = function(Row){TcpToMqttJsonUpdatePage.prototype._SaveGlobalVariable_(Row);};
  var IsSaveGlobalVariable = function(){return TcpToMqttJsonUpdatePage.prototype._IsSaveGlobalVariable_();};
  var ShowFirstPage = function(){TcpToMqttJsonUpdatePage.prototype._ShowFirstPage_();};
  this.Initialization = function(){TcpToMqttJsonUpdatePage.prototype._Initialization_();};
}










function TcpToMqttJsonFirstPage()
{
  this.SetConnectionName = function(that){TcpToMqttJsonFirstPage.prototype._SetConnectionName_(that);};
  this.ChangeConnectionName = function(that){TcpToMqttJsonFirstPage.prototype._ChangeConnectionName_(that);};
  var LoadConnectionName = function(){TcpToMqttJsonFirstPage.prototype._LoadConnectionName_();};
  var ApplyButton = function(index, number, Combobox){TcpToMqttJsonFirstPage.prototype._ApplyButton_(index, number, Combobox);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){TcpToMqttJsonFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){TcpToMqttJsonFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){TcpToMqttJsonFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){TcpToMqttJsonFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){TcpToMqttJsonFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return TcpToMqttJsonFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return TcpToMqttJsonFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return TcpToMqttJsonFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformMqttJson = function(){return TcpToMqttJsonFirstPage.prototype._IsAllTransformMqttJson_();};
  //初始化
  this.Initialization = function(){TcpToMqttJsonFirstPage.prototype._Initialization_();};
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){TcpToMqttJsonFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){TcpToMqttJsonFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){TcpToMqttJsonFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.EditButton = function(that){TcpToMqttJsonFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){TcpToMqttJsonFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){TcpToMqttJsonFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){TcpToMqttJsonFirstPage.prototype._ChangeCheckbox_(that);};
}





function TcpToMqttJsonSecondPage()
{
  var LoadConnectionName = function(index, ConnectionGroup){TcpToMqttJsonSecondPage.prototype._LoadConnectionName_(index, ConnectionGroup);};
  //變數表
  var VariableTableAddNewRow       = function(number){TcpToMqttJsonSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){TcpToMqttJsonSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){TcpToMqttJsonSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return TcpToMqttJsonSecondPage.prototype._GetModuleName_(number);};
  //介面
  var ClearTable = function(number){TcpToMqttJsonSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){TcpToMqttJsonSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){TcpToMqttJsonSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){TcpToMqttJsonSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){TcpToMqttJsonSecondPage.prototype._HideColumn_();};
  //全域變數 或 物件
  var ModifyTcpToMqttJsonVariableObject= function(that){TcpToMqttJsonSecondPage.prototype._ModifyTcpToMqttJsonVariableObject_(that);};
  var SetFormInitialValue = function(number){TcpToMqttJsonSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){TcpToMqttJsonSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return TcpToMqttJsonSecondPage.prototype._GetReadWriteType_(string);};
  //判斷
  var AllDataIsCorrect = function(){TcpToMqttJsonSecondPage.prototype._AllDataIsCorrect_();};
  //檢查
  this.CheckAlias = function(that){TcpToMqttJsonSecondPage.prototype._CheckAlias_(that);};
}